from setuptools import setup, find_packages, Extension
from Cython.Build import cythonize
import numpy as np

# Define the extension
extensions = [
    Extension(
        "reversible_anonymizer.core._fast_ops",
        sources=[
            "src/reversible_anonymizer/core/_fast_ops.pyx",
            "src/reversible_anonymizer/core/string_ops.cpp"
        ],
        include_dirs=[
            "src/reversible_anonymizer/core",
            np.get_include()
        ],
        language="c++",
        extra_compile_args=["-std=c++11"],
        extra_link_args=["-std=c++11"]
    )
]

setup(
    name="reversible-anonymizer-c",
    version="0.0.1",
    author="Omotayo Aina",
    author_email="ainaomotayo@gmail.com",
    description="A reversible anonymization tool using Google Cloud services",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/ainaomotayo/reversible-anonymizer-c",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    ext_modules=cythonize(extensions),
    python_requires=">=3.10",
    install_requires=[
        "faker>=8.0.0",
        "google-cloud-dlp>=3.0.0",
        "google-cloud-firestore>=2.0.0",
        "numpy>=1.20.0",
    ],
    setup_requires=[
        "Cython>=0.29.24",
        "numpy>=1.20.0",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Cython",
        "Programming Language :: C++",
    ],
)





from setuptools import setup, find_packages, Extension
from Cython.Build import cythonize
import numpy as np

# Define the extension
extensions = [
    Extension(
        "reversible_anonymizer.core._fast_ops",
        sources=[
            "src/reversible_anonymizer/core/_fast_ops.pyx",
            "src/reversible_anonymizer/core/string_ops.cpp"
        ],
        include_dirs=[
            "src/reversible_anonymizer/core",
            np.get_include()
        ],
        language="c++",
        extra_compile_args=["-std=c++11"],
        extra_link_args=["-std=c++11"]
    )
]

setup(
    name="reversible-anonymizer-c",
    version="0.0.1",
    author="Omotayo Aina",
    author_email="ainaomotayo@gmail.com",
    description="A reversible anonymization tool using Google Cloud services",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/ainaomotayo/reversible-anonymizer-c",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    ext_modules=cythonize(extensions),
    python_requires=">=3.10",
    install_requires=[
        "faker>=8.0.0",
        "google-cloud-dlp>=3.0.0",
        "google-cloud-firestore>=2.0.0",
        "numpy>=1.20.0",
    ],
    setup_requires=[
        "Cython>=0.29.24",
        "numpy>=1.20.0",
    ],
)